.navbar-fixed-top {
  background-color: palette(primary);
  margin: 0;

  // Desktop and tablet styles
  @include respondto(desktopAndTablet) {
    &.navbar-default {
      border: none;
      height: 15rem;

      .navbar-collapse,
      .navbar-nav {
        width: 100%;
      }

      .navbar-nav {
        @include flex($direction: row, $justify: space-between);

        >li {
          >a {
            border-bottom: 2px solid transparent;
            color: palette(white);
            font-family: 'futura-medium';
            margin: 0 .5rem;
            padding-bottom: .5rem;
         
            &:hover,
            &:focus {
              border-bottom: 2px solid palette(white);
            }

            @include respondto(tablet) {
              padding: 0;
            }
          }
        }

        >.active {
          a {
            &,
            &:hover,
            &:focus {
              background-color: palette(primary);
              border-bottom: 2px solid palette(white);
              color: palette(white);
            }
          }
        }
      }
    }

    .navbar-brand {
      padding-bottom: 0;
      @include flex($direction: row, $align: flex-end, $justify: flex-end);

      @include respondto(tablet) {
        padding: 2rem 0 0 2rem;
      }
    }

    .navbar-wrapper {
      padding-bottom: 3rem;
      @include flex($direction: row, $align: flex-end);

      &,
      .navbar-brand {
        height: 15rem;
      }
    }
  }

  //Tablet styles
  .navbar-brand {
    @include respondto(tablet) {
      padding: 2rem 0 0 2rem;

      img {
        max-width: 80%;
      }
    }
  }

  // Mobile Styles
  @include respondto(phone) {
    .navbar-toggle,
    .navbar-brand {
      float: left;
    }

    &.navbar,
    .navbar-header,
    .navbar-brand {
      height: 9.5rem;
    }

    .navbar-brand {
      padding: 0;

      img {
        max-width: 80%;
      }
    }

    .navbar-toggle {
      border: 1px solid transparent;
      margin: 1.5rem;

      .icon-bar {
        background-color: palette(white);
        height: .3rem;
        width: 2.5rem;
      }

      &:hover,
      &:focus {
        background-color: transparent;
        border: 1px solid palette(white);
      }
    }

    // Dropdown
    .navbar-collapse {
      background-color: palette(primary);
      border: none;
    }

    .navbar-nav {
      >li {
        >a {
          border-bottom: 1px solid transparent;
          color: palette(white);
          margin: 0 2rem;
          padding-left: 0;

          &:hover,
          &:focus {
            border-bottom: 1px solid palette(white);
            color: palette(white);
          }
        }

        &.active {
          a {
            &,
            &:hover,
            &:focus {
              background-color: transparent;
              border-bottom: 1px solid palette(white);
              color: palette(white);
            }
          }
        }
      }
    }
  }

  // dropdown styling - to be removed if not necessary
  // @include respondto(desktopAndTablet) {
  //   .dropdown-menu {
  //     li {
  //       text-align: left;
  //     }
  //   }

  //   .dropdown {
  //     &:hover {
  //       .dropdown-menu {
  //         display: block;
  //         margin-top: 0;
  //       }
  //     }
  //   }
  // }
}
